const webpack = require('webpack')
const path = require('path')
const CopyWebpackPlugin = require('copy-webpack-plugin')
const cesiumSource = 'node_modules/mars3d-cesium/Build/Cesium/'

module.exports = {
  publicPath: './', // 打包后的位置
  outputDir: 'dist',//打包后的目录名称
  assetsDir: './static', // 静态资源目录名称
  productionSourceMap:false,  //去掉打包的时候生成的map文件
  lintOnSave: false, // 是否在开发环境下通过 eslint-loader 在每次保存时 lint 代码
  devServer: {
    // host: 'localhost',
    host:'192.168.3.38',
    port: 3002, // 端口号
    open: true, // 配置自动启动浏览器
    proxy: {

      '/dianziweilan': {
        // target: 'http://192.168.3.23:9092',//甘旭
        target: 'http://8.143.203.103:9092'//服务器
      },
      '/auth': {
        // target: 'http://192.168.3.23:9092',//甘旭
        target: 'http://8.143.203.103:9092',
      },
      '/pic': {
        // target: 'http://192.168.3.23/avatar',//甘旭
        target: 'http://8.143.203.103/avatar/',
        pathRewrite: { '^/pic': '' },
        changeOrigin: true,
      },


      // '/dianziweilan': {
      //   target: 'http://120.224.103.84:9092'
      // },
      // '/auth': {
      //   target: 'http://120.224.103.84:9092',
      // },
      // '/pic': {
      //   target: 'http://120.224.103.84/avatar/',
      //   pathRewrite: { '^/pic': '' },
      //   changeOrigin: true,
      // },
      //获取会话号
      // '/jiankong': {
      //   target: 'http://oa.gemho.cn:8088',
      //   changeOrigin: true,
      //   pathRewrite: {
      //     '^/jiankong': ''
      //   }
      // },
      
    },
    // https: true,
  },
  // C:\Program Files\Common Files\Oracle\Java\javapath 
  configureWebpack: {
    plugins: [
      new webpack.ProvidePlugin({
        $: "jquery",
        jQuery: "jquery",
        "windows.jQuery": "jquery"
      }),
      new webpack.DefinePlugin({
        CESIUM_BASE_URL: JSON.stringify('static')
      }),
      new CopyWebpackPlugin([{ from: path.join(cesiumSource, 'Workers'), to: 'static/Workers' }]),
      new CopyWebpackPlugin([{ from: path.join(cesiumSource, 'Assets'), to: 'static/Assets' }]),
      new CopyWebpackPlugin([{ from: path.join(cesiumSource, 'ThirdParty'), to: 'static/ThirdParty' }]),
      new CopyWebpackPlugin([{ from: path.join(cesiumSource, 'Widgets'), to: 'static/Widgets' }])
    ],
    // pluginOptions: {
    //   'style-resources-loader': {
    //     preProcessor: 'sass',
    //     patterns: [
    //       path.resolve(__dirname, '@/assets/styles/*.scss')      //你的.scss文件所在目录
    //     ]
    //   }
    // },
    module: {
      unknownContextCritical: false,
      unknownContextRegExp: /\/cesium\/cesium\/Source\/Core\/buildModuleUrl\.js/
    }
  },
  // css的处理
  css: {
    // 当为true时，css文件名可省略 module 默认为 false
    modules: false,
    // 是否将组件中的 CSS 提取至一个独立的 CSS 文件中,当作为一个库构建时，你也可以将其设置为 false 免得用户自己导入 CSS
    // 默认生产环境下是 true，开发环境下是 false
    extract: false,
    // 是否为 CSS 开启 source map。设置为 true 之后可能会影响构建的性能
    sourceMap: false,
    //向 CSS 相关的 loader 传递选项(支持 css-loader postcss-loader sass-loader less-loader stylus-loader)
    loaderOptions: {
        css: {},
        less: {}
    }
  },
}